Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.HeaderSpec.CrossOriginOpenerPolicySpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.HeaderSpec.CrossOriginOpenerPolicySpec

Enclosing class:
  ServerHttpSecurity.HeaderSpec

public final class ServerHttpSecurity.HeaderSpec.CrossOriginOpenerPolicySpec extends Object
Configures the Cross-Origin-Opener-Policy header

Since:
  5.7

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.HeaderSpec`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.HeaderSpec.CrossOriginOpenerPolicySpec`
`policy(org.springframework.security.web.server.header.CrossOriginOpenerPolicyServerHttpHeadersWriter.CrossOriginOpenerPolicy openerPolicy)`
Sets the value to be used in the `Cross-Origin-Opener-Policy` header

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### policy

public ServerHttpSecurity.HeaderSpec.CrossOriginOpenerPolicySpec policy(org.springframework.security.web.server.header.CrossOriginOpenerPolicyServerHttpHeadersWriter.CrossOriginOpenerPolicy openerPolicy)
Sets the value to be used in the `Cross-Origin-Opener-Policy` header

Parameters:
  `openerPolicy` - a opener policy
Returns:
  the `ServerHttpSecurity.HeaderSpec.CrossOriginOpenerPolicySpec` to continue configuring

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity.HeaderSpec and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.HeaderSpec.crossOriginOpenerPolicy(Customizer)` instead
Allows method chaining to continue configuring the `ServerHttpSecurity`.

Returns:
  the `ServerHttpSecurity.HeaderSpec` to continue configuring